 clear all
 close all
 
 
  
   figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 ); 
imagesc(c)
 axis xy
  title('GTCC Kepstrum-zakladne kepstralne koef. (clean,white,music,street)')
 

  [d,sr] = wavread( 'sb01_White_05dB.sph.wav');
  subplot(412)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(c)
 axis xy

 
 
[d,sr] = wavread('sb01_Music_05dB.sph.wav');
  subplot(413)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
 imagesc(c)
 axis xy

 
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
  subplot(414)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(c)
 axis xy

 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
      figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(vx)
 axis xy
  title('GTCC Kepstrum-diferencne kepstralnych koef. (clean,white,music,street)')
 
 

  [d,sr] = wavread( 'sb01_White_05dB.sph.wav');
  subplot(412)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(vx)
 axis xy

 
[d,sr] = wavread('sb01_Music_05dB.sph.wav');
  subplot(413)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
 imagesc(vx)
 axis xy

 
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
  subplot(414)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(vx)
 axis xy
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
 
    figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(ax)
 axis xy
  title('GTCC Kepstrum-akceleracne kepstralne koef. (clean,white,music,street)')
 
 

  [d,sr] = wavread( 'sb01_White_05dB.sph.wav');
  subplot(412)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(ax)
 axis xy
 
 
[d,sr] = wavread('sb01_Music_05dB.sph.wav');
  subplot(413)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
 imagesc(ax)
 axis xy
 
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
  subplot(414)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(ax)
 axis xy
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
 
    figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(all)
 axis xy
 xlabel('Rámce')
 ylabel('Kep. koef.')
 title('Reč s tichom na pozadí') 
 

  [d,sr] = wavread( 'sb01_White_05dB.sph.wav');
  subplot(412)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 ); 
imagesc(all)
xlabel('Rámce')
 ylabel('Kep. koef.')
 axis xy
 title('Reč s bielym šum na pozadí')
 
[d,sr] = wavread('sb01_Music_05dB.sph.wav');
  subplot(413)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
 imagesc(all)
 xlabel('Rámce')
 ylabel('Kep. koef.')
 axis xy
 title('Reč s hudbou na pozadí')
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
  subplot(414)
 [  all,  c, ax, vx  ]  = GTCCxx( d, sr , 0 );
imagesc(all)
xlabel('Rámce')
 ylabel('Kep. koef.')
 axis xy
 title('Reč so zvukmi z ulice na pozadí')

 

 
 
 
 
 